#ifndef UI_BROWSERWIDGET_H
#define UI_BROWSERWIDGET_H

#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QGroupBox>
#include <QtGui/QHBoxLayout>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QSplitter>
#include <QtGui/QTableView>
#include <QtGui/QTextEdit>
#include <QtGui/QVBoxLayout>
#include <QtGui/QWidget>
#include "connectionwidget.h"

class Ui_Browser
{
public:
    QVBoxLayout *vboxLayout;
    QSplitter *splitter_2;
    ConnectionWidget *connectionWidget;
    QTableView *table;
    QHBoxLayout *hboxLayout;
    QGroupBox *groupBox;
    QVBoxLayout *vboxLayout1;
    QTextEdit *sqlEdit;
    QHBoxLayout *hboxLayout1;
    QSpacerItem *spacerItem;
    QPushButton *clearButton;
    QPushButton *submitButton;

    void setupUi(QWidget *Browser)
    {
    Browser->setObjectName(QString::fromUtf8("Browser"));
    Browser->resize(QSize(765, 515).expandedTo(Browser->minimumSizeHint()));
    vboxLayout = new QVBoxLayout(Browser);
    vboxLayout->setSpacing(6);
    vboxLayout->setMargin(8);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    splitter_2 = new QSplitter(Browser);
    splitter_2->setObjectName(QString::fromUtf8("splitter_2"));
    QSizePolicy sizePolicy((QSizePolicy::Policy)7, (QSizePolicy::Policy)7);
    sizePolicy.setHorizontalStretch(0);
    sizePolicy.setVerticalStretch(0);
    sizePolicy.setHeightForWidth(splitter_2->sizePolicy().hasHeightForWidth());
    splitter_2->setSizePolicy(sizePolicy);
    splitter_2->setOrientation(Qt::Horizontal);
    connectionWidget = new ConnectionWidget(splitter_2);
    connectionWidget->setObjectName(QString::fromUtf8("connectionWidget"));
    QSizePolicy sizePolicy1((QSizePolicy::Policy)13, (QSizePolicy::Policy)7);
    sizePolicy1.setHorizontalStretch(1);
    sizePolicy1.setVerticalStretch(0);
    sizePolicy1.setHeightForWidth(connectionWidget->sizePolicy().hasHeightForWidth());
    connectionWidget->setSizePolicy(sizePolicy1);
    table = new QTableView(splitter_2);
    table->setObjectName(QString::fromUtf8("table"));
    QSizePolicy sizePolicy2((QSizePolicy::Policy)7, (QSizePolicy::Policy)7);
    sizePolicy2.setHorizontalStretch(2);
    sizePolicy2.setVerticalStretch(0);
    sizePolicy2.setHeightForWidth(table->sizePolicy().hasHeightForWidth());
    table->setSizePolicy(sizePolicy2);
    hboxLayout = new QHBoxLayout(splitter_2);
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(9);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));

    vboxLayout->addWidget(splitter_2);

    groupBox = new QGroupBox(Browser);
    groupBox->setObjectName(QString::fromUtf8("groupBox"));
    QSizePolicy sizePolicy3((QSizePolicy::Policy)5, (QSizePolicy::Policy)3);
    sizePolicy3.setHorizontalStretch(0);
    sizePolicy3.setVerticalStretch(0);
    sizePolicy3.setHeightForWidth(groupBox->sizePolicy().hasHeightForWidth());
    groupBox->setSizePolicy(sizePolicy3);
    groupBox->setMaximumSize(QSize(16777215, 180));
    vboxLayout1 = new QVBoxLayout(groupBox);
    vboxLayout1->setSpacing(6);
    vboxLayout1->setMargin(9);
    vboxLayout1->setObjectName(QString::fromUtf8("vboxLayout1"));
    sqlEdit = new QTextEdit(groupBox);
    sqlEdit->setObjectName(QString::fromUtf8("sqlEdit"));
    QSizePolicy sizePolicy4((QSizePolicy::Policy)7, (QSizePolicy::Policy)3);
    sizePolicy4.setHorizontalStretch(0);
    sizePolicy4.setVerticalStretch(0);
    sizePolicy4.setHeightForWidth(sqlEdit->sizePolicy().hasHeightForWidth());
    sqlEdit->setSizePolicy(sizePolicy4);
    sqlEdit->setMinimumSize(QSize(0, 18));
    sqlEdit->setBaseSize(QSize(0, 120));

    vboxLayout1->addWidget(sqlEdit);

    hboxLayout1 = new QHBoxLayout();
    hboxLayout1->setSpacing(6);
    hboxLayout1->setMargin(1);
    hboxLayout1->setObjectName(QString::fromUtf8("hboxLayout1"));
    spacerItem = new QSpacerItem(40, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout1->addItem(spacerItem);

    clearButton = new QPushButton(groupBox);
    clearButton->setObjectName(QString::fromUtf8("clearButton"));

    hboxLayout1->addWidget(clearButton);

    submitButton = new QPushButton(groupBox);
    submitButton->setObjectName(QString::fromUtf8("submitButton"));

    hboxLayout1->addWidget(submitButton);


    vboxLayout1->addLayout(hboxLayout1);


    vboxLayout->addWidget(groupBox);

    QWidget::setTabOrder(sqlEdit, clearButton);
    QWidget::setTabOrder(clearButton, submitButton);
    QWidget::setTabOrder(submitButton, connectionWidget);
    QWidget::setTabOrder(connectionWidget, table);
    retranslateUi(Browser);

    QMetaObject::connectSlotsByName(Browser);
    } // setupUi

    void retranslateUi(QWidget *Browser)
    {
    Browser->setWindowTitle(QApplication::translate("Browser", "Qt SQL Browser", 0, QApplication::UnicodeUTF8));
    groupBox->setTitle(QApplication::translate("Browser", "SQL Query", 0, QApplication::UnicodeUTF8));
    clearButton->setText(QApplication::translate("Browser", "&Clear", 0, QApplication::UnicodeUTF8));
    submitButton->setText(QApplication::translate("Browser", "&Submit", 0, QApplication::UnicodeUTF8));
    Q_UNUSED(Browser);
    } // retranslateUi

};

namespace Ui {
    class Browser: public Ui_Browser {};
} // namespace Ui

#endif // UI_BROWSERWIDGET_H
